Skip to content

Transport Requests

Transport Requests can be used to group Orders that share some administrative context. They can serve as a way of targeting Orders through conditionals, by providing context on the client companies for which those orders are being executed.

Get a list of all transport requests by ids

Request

This is an endpoint that allows you to retrieve a list of Transport Requests in bulk. The Transport Requests are identified by their business id, provided in the query.

When one or more transport requests could not be found, this will be indicated in the errors-section of the response.

Security
clientCredentials
Query
idsArray of strings, [ 1 .. 100 ] itemsrequired

A comma-separated list of Transport Request business IDs.

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/transport-requests?ids=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

a list of transport requests

Bodyapplication/json
dataArray of objects, [ 0 .. 100 ] items, unique(TransportRequest)
errorsArray of objects(Problem)
Response
{ "data": [ {} ], "errors": [ {} ] }